OUTPUT_ARCH( "riscv" )
ENTRY(_start)

SECTIONS
{
    ROM_BASE = DEFINED(ROM_BASE) ? ROM_BASE : 0x00100; /* Default to 0x00100 if ROM_BASE is not defined */

    . = ROM_BASE;
    .text.start : { *(.text.start) }
    . = ROM_BASE + 0x80;
    .text.hang : { *(.text.hang) }
    /*
    . = ROM_BASE + 0xC0;
    .rodata.dtb : { *(.rodata.dtb) }
    */

    . = ALIGN(0x100);
    .text : { *(.text) }
}
